# JSDoc: Class: Rect

# Class: Rect

## visual.Rect(options)

#### new Rect(options)

Rectangular visual stimulus.

##### Parameters:

Name | Type | Description
--- | --- | ---

`options`

Object

###### Properties

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`name` | String |  |  | the name used when logging messages from this stimulus
`win` | module:core.Window |  |  | the associated Window
`lineWidth` | number | <optional> | 1.5 | the line width
`lineColor` | Color | <optional> | 'white' | the line color
`fillColor` | Color | <optional> |  | the fill color
`opacity` | number | <optional> | 1.0 | the opacity
`width` | number | <optional> | 0.5 | the width of the rectangle
`height` | number | <optional> | 0.5 | the height of the rectangle
`pos` | Array.<number> | <optional> | [0, 0] | the position
`size` | number | <optional> | 1.0 | the size
`ori` | number | <optional> | 0.0 | the orientation (in degrees)
`units` | string | <optional> | "height" | the units of the stimulus vertices, size and position
`contrast` | number | <optional> | 1.0 | the contrast
`depth` | number | <optional> | 0 | the depth
`interpolate` | boolean | <optional> | true | whether or not the shape is interpolated
`autoDraw` | boolean | <optional> | false | whether or not the stimulus should be automatically drawn on every frame flip
`autoLog` | boolean | <optional> | false | whether or not to log

Source:
  - visual/Rect.js, line 13

### Extends

- ShapeStim

### Members

#### setHeight

Setter for the height attribute.

Source:
  - visual/Rect.js, line 101

#### setWidth

Setter for the width attribute.

Source:
  - visual/Rect.js, line 81